"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-10.9-x86_64-cpython-39/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x108153dc0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x108153e50>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108153ee0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108153f70>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10815a040>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10815a0d0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10815a160>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10815a1f0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10815a280>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10815a310>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10815a3a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10815a430>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10815a4c0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10815a550>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10815a5e0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10815a670>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10815a700>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10815a790>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10815a820>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10815a8b0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10815a940>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10815a9d0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10815aa60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10815aaf0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10815ac10>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10815ab80>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10815aca0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10815ad30>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10815adc0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10815ae50>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10815aee0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10815af70>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10815b040>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10815b0d0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10815b160>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10815b1f0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10815b280>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10815b310>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10815b3a0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10815b430>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10815b4c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10815b550>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10815b5e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10815b670>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10815b700>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10815b790>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10815b820>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10815b8b0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10815b940>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10815b9d0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10815ba60>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10815baf0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10815bb80>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10815bc10>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10815bca0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10815bd30>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10815bdc0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10815be50>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10815bee0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10815bf70>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x108162040>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1081620d0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x108162160>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1081621f0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x108162280>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x108162430>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x108162310>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1081624c0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x108162550>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1081625e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x108162670>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x108162700>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108162820>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x108162790>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1081628b0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x108162940>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1081629d0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x108162af0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x108162a60>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x108162b80>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x108162c10>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x108162ca0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x108162d30>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x108162dc0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x108162e50>)]
name: str = 'fr_HOCCN'
